GET /view_only_links/{link_id}/nodes/

osf.io

Summary: List all nodes
Operation ID: view_only_links_node_list
Auth: unknown
Description

The list of nodes which this view only link gives read-only access to. #### Permissions Only project administrators may retrieve the nodes of a view only link. Attempting to retrieve a view only link without appropriate permissions will result in a 403 Forbidden response. #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of up to 10 nodes. Each resource in the array is a separate node object and contains the full representation of the node, meaning additional requests to a node's detail view are not necessary. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination). If the request is unsuccessful, an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed.

Parameters (1)

link_id (string, path, required)

The unique identifier of the view only link.

No probe data for this endpoint yet.